package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

public class Text extends AbstractStringValueObject {

  public Text(Text initialValue) {
    this(initialValue.getValue());
  }

  public Text(String initialValue) {
    super(initialValue);
  }

  @Override
  protected boolean handleBlanksAsNull() {
    return false;
  }

  @Override
  protected Integer getMaxLength() {
    return 1000;
  }

  @Override
  protected Integer getMinLength() {
    return 0; // can be blank
  }
}
