package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

public class StringValue extends AbstractStringValueObject {

  public StringValue(StringValue initialValue) {
    this(initialValue.getValue());
  }

  public StringValue(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 1000;
  }
}
